summaryrefslogtreecommitdiff
path: root/nonprism
diff options
context:
space:
mode:
authorIsaac David <isacdaavid@isacdaavid.info>2017-08-01 22:35:37 -0500
committerIsaac David <isacdaavid@isacdaavid.info>2017-08-01 22:35:37 -0500
commite9e1457463829f658053c2c94f9a92506a8effd3 (patch)
tree39966e962b1a9c05063d9aa95171eba93363f83c /nonprism
parent602d947bda4f3ac19ff78fab40e171c9bd57d6eb (diff)
nonprism/evolution-data-server: bump pkgver
Diffstat (limited to 'nonprism')
-rw-r--r--nonprism/evolution-data-server/PKGBUILD41
1 files changed, 18 insertions, 23 deletions
diff --git a/nonprism/evolution-data-server/PKGBUILD b/nonprism/evolution-data-server/PKGBUILD
index 081a89807..f1443be6d 100644
--- a/nonprism/evolution-data-server/PKGBUILD
+++ b/nonprism/evolution-data-server/PKGBUILD
@@ -1,19 +1,19 @@
-# $Id: PKGBUILD 290784 2017-03-13 14:48:47Z heftig $
# Maintainer (Arch): Jan de Groot <jgc@archlinux.org>
# Maintainer: Márcio Silva <coadde@parabola.nu>
+# Contributor: Isaac David <isacdaavid@at@isacdaavid@dot@info>
pkgname=evolution-data-server
-pkgver=3.22.6
+pkgver=3.24.4
pkgrel=1.nonprism1
pkgdesc="Centralized access to appointments and contacts, without libgdata support"
url="https://wiki.gnome.org/Apps/Evolution"
arch=(i686 x86_64)
depends=(gnome-online-accounts nss krb5 libgweather libical db libphonenumber)
-makedepends=(intltool gperf gobject-introspection vala gtk-doc boost git gnome-common)
+makedepends=(intltool gperf gobject-introspection vala gtk-doc boost git cmake ninja)
license=(GPL)
replaces=("${pkgname}-coherence" "${pkgname}-nonprism")
conflicts=("${pkgname}-coherence" "${pkgname}-nonprism")
-_commit=994c96a5d6dbcc967fb8aeae358f7a209df9be96 # tags/EVOLUTION_DATA_SERVER_3_22_6^0
+_commit=4b64d44b1dd01a05be38504ae2a130f21a417913 # tags/EVOLUTION_DATA_SERVER_3_24_4^0
source=("git+https://git.gnome.org/browse/evolution-data-server#commit=$_commit")
sha256sums=('SKIP')
@@ -22,36 +22,31 @@ pkgver() {
git describe --tags | sed 's/^EVOLUTION_DATA_SERVER_//;s/_/./g;s/-/+/g'
}
-prepare() {
- cd $pkgname
- NOCONFIGURE=1 ./autogen.sh
-}
-
build() {
cd $pkgname
- ./configure --prefix=/usr --sysconfdir=/etc \
- --localstatedir=/var --with-openldap=yes \
- --libexecdir=/usr/lib/evolution-data-server \
- --with-krb5=/usr --with-libdb=/usr --with-phonenumber=/usr \
- --without-libgdata \
- --disable-google \
- --enable-vala-bindings --disable-uoa \
- --enable-gtk-doc
-
- sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
- make
+ cmake . -G Ninja \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIBEXEC_INSTALL_DIR=/usr/lib/$pkgname \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ -DENABLE_INTROSPECTION=ON \
+ -DENABLE_VALA_BINDINGS=ON \
+ -DENABLE_UOA=OFF \
+ -HAVE_LIBGDATA=OFF \
+ -DENABLE_GOOGLE_AUTH=OFF \
+ -DENABLE_GTK_DOC=ON \
+ -DWITH_PHONENUMBER=ON
+ ninja
}
check() {
cd $pkgname
# libedata-book tests fail because they try to
# mkdir /usr/lib/evolution-data-server/camel-providers
- make check -k || :
+ ninja test || :
}
package() {
cd $pkgname
- make DESTDIR="$pkgdir" install
+ DESTDIR="$pkgdir" ninja install
}